// library for Batron BTHQ21605 LCD display on I2C bus
// from Digid at https://public.me.com/digid/fr/

#ifndef LCDI2C_h
#define LCDI2C_h

#define CMDDELAY   165        // Delay to wait after sending commands;
#define POSDELAY   10         // Long delay required by Position command
#define CHARDELAY  0

#include <inttypes.h>
#include "Print.h"


#if ARDUINO >= 100
 #include "Arduino.h"
#else
 #include "WProgram.h"
#endif


class LCDI2C : public Print {

public: 
   LCDI2C(int,int,int);
   void init();
   virtual size_t write(uint8_t);
//virtual size_t write(uint8_t)
   void clear();
   void home();
   void on();
   void left();
   void right();
   void printstr(const char[]);
   void setCursor(int line_num, int x);
  
private:
   unsigned char ASCIItoLCD(unsigned char ch);

};

#endif